### Function

# ICalGLib memory_resize_buffer

since: 1.0

#### Declaration [src]

    void*
    i_cal_memory_resize_buffer (
      void* buf,
      size_t size
    )

#### Description [src]

Resizes the buffer to the target size.

Available since: 1.0

#### Parameters

`buf`

  Type: `void*`

  The buffer needs to be resized.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`size`

  Type: `size_t`

  The target size the buffer to be resized to.

#### Return value

Type: `void*`

The buffer after being resized.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.